﻿Public NotInheritable Class AboutBox

   Private Sub AboutBox_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
      ' Legen Sie den Titel des Formulars fest.
      Dim ApplicationTitle As String
      If My.Application.Info.Title <> "" Then
         ApplicationTitle = My.Application.Info.Title
      Else
         ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
      End If
      Me.Text = String.Format("Info {0}", ApplicationTitle)
      ' Initialisieren Sie den gesamten Text, der im Infofeld angezeigt wird.
      Me.LabelProductName.Text = My.Application.Info.ProductName
      Me.LabelVersion.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
      Me.LabelCopyright.Text = My.Application.Info.Copyright
      Me.LabelCompanyName.Text = My.Application.Info.CompanyName
      Me.TextBoxDescription.Text = My.Application.Info.Description
   End Sub

    Private Sub OKButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
        Me.Close()
    End Sub

   Private Sub LogoPictureBox_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LogoPictureBox.LinkClicked
      System.Diagnostics.Process.Start("http://bienonline.magix.net/public")
   End Sub

   Private Sub LabelCompanyName_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LabelCompanyName.LinkClicked
      System.Diagnostics.Process.Start("http://bienonline.magix.net/public")
   End Sub
End Class
